### Constructor

# Gimp ColorProfile new_from_file

#### Declaration [src]

    GimpColorProfile*
    gimp_color_profile_new_from_file (
      GFile* file,
      GError** error
    )

#### Description [src]

This function opens an ICC color profile from `file`.

Available since: | 2.10

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GimpColorProfile`
| The `GimpColorProfile`, or `NULL`. On error, `NULL` is returned and `error` is set.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.